# Contribution Guide

You want to request a change to the standard or contribute to it? Great!
[This document](docs/how-to-make-a-change-request.md) should have you
covered.

There are other ways to contribute, too. Engage in discussions, report issues, ...

Also, checkout out our [standard opering procedures](docs/) for more information.

## Guidelines for Writing

* Use British English in normative Text. For example, use "colour" instead of
  "color", "behaviour" instead of "behavior".
* For normative text use *shall* and *shall not*. Inside informative text never
  use *shall*, use *must* instead.
* Use singular instead of plural.
* Don't say the same thing normatively in more than on place; say it once and
  point to that place, as needed.  
  Also, be careful with the use of overview tables, they can introduce
  conflicts with written passages.
* Normative text must be clear without examples and notes.
* A section should contain either subsections or text, but never both.
* Keep examples small, simple, and narrowly focused without using unnecessary
  features.
* Avoid using quoted text, as in "base type". If it is a term, except for its
  first use, it should be in regular font without the quotes and defined in the
  Terms-and-definitions clause. If it is not a term use the right term or other
  English text.
* Technical terms should be defined in the Terms-and-definitions clause.
* Avoid enumerations where a technical term exists. For example, don't say "...
  is allowed for charstring, hexstring, octetstring, bitstring and record of",
  instead say "... is allowed for list-types".

